## sg3_utils-1.25.tgz

=== examples/Makefile ===
SHELL = /bin/sh

PREFIX=/usr/local
INSTDIR=$(DESTDIR)/$(PREFIX)/bin
MANDIR=$(DESTDIR)/$(PREFIX)/man

CC = gcc
LD = gcc

EXECS = sg_simple1 sg_simple2 sg_simple3 sg_simple4 sg_simple16 \
	sg_iovec_tst scsi_inquiry sg_excl sg_sense_test sg_simple5 \
	sg__sat_identify sg__sat_set_features sg_sat_chk_power \
	sg_sat_smart_rd_data sg_sat_phy_event

# EXECS = sg_simple1 sg_simple2 sg_simple3 sg_simple4 sg_simple16 \
# 	  sg_simple_aio sg_iovec_tst scsi_inquiry sg_excl

MAN_PGS = 
MAN_PREF = man8

LARGE_FILE_FLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

CFLAGS = -g -O2 -W -Wall -D_REENTRANT $(LARGE_FILE_FLAGS)
# CFLAGS = -g -O2 -Wall -D_REENTRANT -DSG_KERNEL_INCLUDES $(LARGE_FILE_FLAGS)
# CFLAGS = -g -O2 -Wall -pedantic -D_REENTRANT $(LARGE_FILE_FLAGS)

LDFLAGS =

all: $(EXECS)

depend dep:
	for i in *.c; do $(CC) $(INCLUDES) $(CFLAGS) -M $$i; \
	done > .depend

clean:
	/bin/rm -f *.o $(EXECS) core .depend

sg_simple1: sg_simple1.o ../sg_lib.o ../sg_io_linux.o
	$(LD) -o $@ $(LDFLAGS) $^

sg_simple2: sg_simple2.o
	$(LD) -o $@ $(LDFLAGS) $^

sg_simple3: sg_simple3.o ../sg_lib.o ../sg_io_linux.o
	$(LD) -o $@ $(LDFLAGS) $^

sg_simple4: sg_simple4.o ../sg_lib.o ../sg_io_linux.o
	$(LD) -o $@ $(LDFLAGS) $^

sg_simple16: sg_simple16.o ../sg_lib.o ../sg_io_linux.o
	$(LD) -o $@ $(LDFLAGS) $^

sg_simple_aio: sg_simple_aio.o ../sg_lib.o ../sg_io_linux.o
	$(LD) -o $@ $(LDFLAGS) $^ -l aio

sg_iovec_tst: sg_iovec_tst.o ../sg_lib.o ../sg_io_linux.o
	$(LD) -o $@ $(LDFLAGS) $^

scsi_inquiry: scsi_inquiry.o
	$(LD) -o $@ $(LDFLAGS) $^ 

sg_excl: sg_excl.o ../sg_lib.o ../sg_io_linux.o
	$(LD) -o $@ $(LDFLAGS) $^

sg_sense_test: sg_sense_test.o ../sg_lib.o ../sg_io_linux.o
	$(LD) -o $@ $(LDFLAGS) $^

sg_simple5: sg_simple5.o ../sg_lib.o ../sg_pt_linux.o
	$(LD) -o $@ $(LDFLAGS) $^

sg__sat_identify: sg__sat_identify.o ../sg_lib.o ../sg_io_linux.o
	$(LD) -o $@ $(LDFLAGS) $^

sg__sat_set_features: sg__sat_set_features.o ../sg_lib.o ../sg_io_linux.o
	$(LD) -o $@ $(LDFLAGS) $^

sg_sat_chk_power: sg_sat_chk_power.o ../sg_lib.o ../sg_io_linux.o
	$(LD) -o $@ $(LDFLAGS) $^

sg_sat_smart_rd_data: sg_sat_smart_rd_data.o ../sg_lib.o ../sg_io_linux.o
	$(LD) -o $@ $(LDFLAGS) $^

sg_sat_phy_event: sg_sat_phy_event.o ../sg_lib.o ../sg_io_linux.o
	$(LD) -o $@ $(LDFLAGS) $^

install: $(EXECS)
	install -d $(INSTDIR)
	for name in $^; \
	 do install -s -o root -g root -m 755 $$name $(INSTDIR); \
	done
	install -d $(MANDIR)/$(MAN_PREF)
	for mp in $(MAN_PGS); \
	 do install -o root -g root -m 644 $$mp $(MANDIR)/$(MAN_PREF); \
	 gzip -9f $(MANDIR)/$(MAN_PREF)/$$mp; \
	done

uninstall:
	dists="$(EXECS)"; \
	for name in $$dists; do \
	 rm -f $(INSTDIR)/$$name; \
	done
	for mp in $(MAN_PGS); do \
	 rm -f $(MANDIR)/$(MAN_PREF)/$$mp.gz; \
	done

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
sg3-utils (1.25-0.1) unstable; urgency=low

  * New upstream version

 -- Doug Gilbert <dgilbert@interlog.com>  Tue, 16 Oct 2007 10:00:00 -0400

sg3-utils (1.24-1) unstable; urgency=low

  * New upstream release
  * Conflicts with upstream libsgutils package libsgutils-1-0 (closes: #391077)

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Tue,  5 Jun 2007 17:04:21 -0600

sg3-utils (1.21-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to old syscall usage (Closes: #395512).

 -- Luk Claes <luk@debian.org>  Sun,  5 Nov 2006 17:23:29 +0100

sg3-utils (1.21-2) unstable; urgency=low

  * Added Depends on libsgutils1 to libsgutils1-dev (closes: #387798)

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Fri, 22 Sep 2006 00:20:28 -0600

sg3-utils (1.21-1) unstable; urgency=low

  * New upstream release

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Wed, 13 Sep 2006 21:54:30 -0600

sg3-utils (1.20-1) unstable; urgency=low

  * New upstream release

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Wed, 26 Apr 2006 22:31:15 -0600

sg3-utils (1.17-3) unstable; urgency=low

  * Cleaned up sg_read(8) manpage (Closes: #294521)

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Mon, 13 Feb 2006 17:59:46 -0700

sg3-utils (1.17-2) unstable; urgency=low

  * Add libtool to build-depends

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Tue,  4 Oct 2005 19:40:00 -0600

sg3-utils (1.17-1) unstable; urgency=low

  * New upstream version

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Sat,  1 Oct 2005 13:26:16 -0600

sg3-utils (1.08-2) unstable; urgency=low

  * Fix packaging bug that accidentally left off binaries.  Sigh.
    (closes: #271906)

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Wed, 15 Sep 2004 22:40:06 -0600

sg3-utils (1.08-1) unstable; urgency=low

  * New upstream version
  * Unified package description with list of tools actually installed
    (closes: #271093)

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Sun, 12 Sep 2004 21:22:42 -0600

sg3-utils (1.05-1) unstable; urgency=low

  * New upstream release
  * updated description to match tools in package (closes: #221143)

 -- Eric Schwartz <emschwar@debian.org>  Tue, 18 Nov 2003 22:22:29 -0700

sg3-utils (1.03-1) unstable; urgency=low

  * New upstream release (closes: #181999)

 -- Eric Schwartz <emschwar@debian.org>  Tue, 29 Apr 2003 20:18:30 -0600

sg3-utils (0.95-4) unstable; urgency=low

  * Only warns if installed on a kernel version < 2.4 (closes: #136434)
      
 -- Eric Schwartz <emschwar@debian.org>  Tue, 28 May 2002 22:55:29 -0600

sg3-utils (0.95-3) unstable; urgency=low

  * Extended description to include descriptions of all tools included in
    the package. (closes: #121968)

 -- Eric Schwartz <emschwar@debian.org>  Sun, 13 Jan 2002 17:09:27 -0700

sg3-utils (0.95-2) unstable; urgency=low

  * Packaging manpages (closes: #122692)
  * Conflicts with cdwrite (closes: #123779)

 -- Eric Schwartz <emschwar@debian.org>  Wed,  2 Jan 2002 01:05:08 -0700

sg3-utils (0.95-1) unstable; urgency=low

  * Initial Release.
  * Adjusted Makefile to include $DESTDIR

 -- Eric Schwartz <emschwar@debian.org>  Wed, 14 Nov 2001 17:05:56 -0700

=== debian/control ===
Source: sg3-utils
Section: admin
Priority: optional
Maintainer: Eric Schwartz (Skif) <emschwar@debian.org>
Build-Depends: debhelper (>> 4.0.0), chrpath, libtool
Standards-Version: 3.7.2

Package: sg3-utils
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: sg-utils, cdwrite
Replaces: sg-utils
Description: Collection of Linux utilities for devices that use the
 SCSI command set. See the README, ChangeLog and COVERAGE files.
 .
 Requires the linux kernel 2.4 series or later. In the 2.4 series
 SCSI generic device names (e.g. /dev/sg0) must be used. In the 2.6
 series other device names may be used as well (e.g. /dev/sda).
 .
 The package includes:
     * sg_dd - a variant of 'dd' that works at the SCSI command level
     * sg_emc_trespass - vendor specific for Clariion hardware
     * sg_format - format SCSI disks
     * sg_get_config - get features and profiles of MMC devices
     * sg_ident - report and set device identifiers
     * sginfo - a re-porting of the 'scsiinfo' program, updated
     * sg_inq - a utility for poking around with the SCSI INQUIRY command
     * sg_logs - prints out log sense pages
     * sg_luns - prints out REPORT LUNS response
     * sg_map - shows the mapping between SCSI devices and sg devices
     * sg_map26 - map primary device node to generic node (lk 2.6 only)
     * sgm_dd - like sg_dd, but uses mmap()'d IO
     * sg_modes - prints out mode sense pages
     * sg_opcodes - reports supported opcodes and task management fcns
     * sgp_dd - like sg_dd, only multithreaded
     * sg_persist - accesses the Persistent Reservation In and Out commands
     * sg_prevent - issues PREVENT ALLOW MEDIUM REMOVAL command (MMC + SSC)
     * sg_raw - send arbitrary SCSI commands
     * sg_rbuf - tests SCSI bus speed
     * sg_rdac - vendor specific for RDAC hardware
     * sg_read - reads multiple blocks, useful for timing
     * sg_read_buffer - READ BUFFER
     * sg_read_long - read a "long" block from the given device
     * sg_readcap - prints the output of a READ CAPACITY command
     * sg_reassign - issues a REASSIGN BLOCKS command (map out bad sectors)
     * sg_requests - issues a REQUEST SENSE command (event polling)
     * sg_reset - exercises SCSI device/bus/host reset capability
     * sg_rmsn - READ SERIAL SERIAL NUMBER
     * sg_rtpg - REPORT TARGET PORT GROUPS
     * sg_safte - fetch enclosure status from a SAF-TE processor
     * sg_sat_identify - ATA IDENTIFY (PACKET) DEVICE via SATL
     * sg_sat_set_features - ATA SET FEATURES via SATL
     * sg_scan - displays the SCSI bus on stdout
     * sg_senddiag - runs SCSI self tests
     * sg_ses - fetches status and send control to a SES device
     * sg_start - spins up (or down) disks and optical drives
     * sg_stpg - SET TARGET PORT GROUPS
     * sg_sync - issues a SYNCHRONIZE CACHE command
     * sg_test_rwbuf - tests the SCSI host adapter
     * sg_turs - execute a TEST UNIT READY command on the given device
     * sg_verify - issues VERIFY command on SCSI disks
     * sg_vpd - utility for decoding VPD pages
     * sg_write_buffer - WRITE BUFFER, may be used to load firmware
     * sg_write_long - write a "long" block to the given device
     * sg_wr_mode - low level utility to change mode pages
 .
 It also includes source code for some example programs that demonstrate
 how to use the scsi generic driver.

Package: libsgutils1
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libsgutils-1-0
Architecture: any
Recommends: sg3-utils
Description: Utilities for working with generic SCSI devices (shared libraries)
 This package contains the shared libraries that allow other programs to use it.

Package: libsgutils1-dev
Section: devel
Architecture: any
Depends: libsgutils1, ${shlibs:Depends}
Recommends: sg3-utils
Description: Utilities for working with generic SCSI devices (developer files)
 This package contains the <scsi/sg_cmds.h> , <scsi/sg_cmds_basic.h> ,
 <scsi/sg_cmds_extra.h> , <scsi/sg_lib.h> , <scsi/sg_linux_inc.h> and
 <scsi/sg_io_linux.h> header files, the /usr/lib/libsgutils.a static library
 plus other assorted development tidbits.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
# export DH_VERBOSE=1

# Debhelper compatibility level
export DH_COMPAT=4

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --bindir=/usr/bin --prefix=/usr --mandir=\$${prefix}/share/man
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	PREFIX=/usr MANDIR=/usr/share/man $(MAKE) -e

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	rm -f build-stamp configure-stamp debian/substvars

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/sg3-utils .
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sg3-utils

	# This is questionable, copying scripts into /usr/bin ...
	cp scripts/scsi* scripts/sas* debian/sg3-utils/usr/bin


# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
# nothing to do here

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a 
	dh_installmenu -a
	dh_installchangelogs ChangeLog -a
	dh_installman
	dh_strip -a
	dh_link -a
	dh_compress -a -X archive -X .c -X .h
	dh_fixperms -a
	dh_makeshlibs -V -v
	dh_installdeb -a
	dh_shlibdeps -ldebian/tmp/usr/lib -L libsgutils1
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
